// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from cob_actions:action/Dock.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "cob_actions/action/dock.hpp"


#ifndef COB_ACTIONS__ACTION__DETAIL__DOCK__STRUCT_HPP_
#define COB_ACTIONS__ACTION__DETAIL__DOCK__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


// Include directives for member types
// Member 'poses'
#include "geometry_msgs/msg/detail/pose__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_Goal __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_Goal __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_Goal_
{
  using Type = Dock_Goal_<ContainerAllocator>;

  explicit Dock_Goal_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->frame_id = "";
      this->stop_topic = "";
      this->stop_message_field = "";
      this->stop_compare_value = false;
      this->dist_threshold = 0.0f;
    }
  }

  explicit Dock_Goal_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : frame_id(_alloc),
    stop_topic(_alloc),
    stop_message_field(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->frame_id = "";
      this->stop_topic = "";
      this->stop_message_field = "";
      this->stop_compare_value = false;
      this->dist_threshold = 0.0f;
    }
  }

  // field types and members
  using _frame_id_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _frame_id_type frame_id;
  using _poses_type =
    std::vector<geometry_msgs::msg::Pose_<ContainerAllocator>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<geometry_msgs::msg::Pose_<ContainerAllocator>>>;
  _poses_type poses;
  using _stop_topic_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _stop_topic_type stop_topic;
  using _stop_message_field_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _stop_message_field_type stop_message_field;
  using _stop_compare_value_type =
    bool;
  _stop_compare_value_type stop_compare_value;
  using _dist_threshold_type =
    float;
  _dist_threshold_type dist_threshold;

  // setters for named parameter idiom
  Type & set__frame_id(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->frame_id = _arg;
    return *this;
  }
  Type & set__poses(
    const std::vector<geometry_msgs::msg::Pose_<ContainerAllocator>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<geometry_msgs::msg::Pose_<ContainerAllocator>>> & _arg)
  {
    this->poses = _arg;
    return *this;
  }
  Type & set__stop_topic(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->stop_topic = _arg;
    return *this;
  }
  Type & set__stop_message_field(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->stop_message_field = _arg;
    return *this;
  }
  Type & set__stop_compare_value(
    const bool & _arg)
  {
    this->stop_compare_value = _arg;
    return *this;
  }
  Type & set__dist_threshold(
    const float & _arg)
  {
    this->dist_threshold = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_Goal_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_Goal_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Goal_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Goal_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_Goal
    std::shared_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_Goal
    std::shared_ptr<cob_actions::action::Dock_Goal_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_Goal_ & other) const
  {
    if (this->frame_id != other.frame_id) {
      return false;
    }
    if (this->poses != other.poses) {
      return false;
    }
    if (this->stop_topic != other.stop_topic) {
      return false;
    }
    if (this->stop_message_field != other.stop_message_field) {
      return false;
    }
    if (this->stop_compare_value != other.stop_compare_value) {
      return false;
    }
    if (this->dist_threshold != other.dist_threshold) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_Goal_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_Goal_

// alias to use template instance with default allocator
using Dock_Goal =
  cob_actions::action::Dock_Goal_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_Result __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_Result __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_Result_
{
  using Type = Dock_Result_<ContainerAllocator>;

  explicit Dock_Result_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->success = false;
      this->message = "";
    }
  }

  explicit Dock_Result_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : message(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->success = false;
      this->message = "";
    }
  }

  // field types and members
  using _success_type =
    bool;
  _success_type success;
  using _message_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _message_type message;

  // setters for named parameter idiom
  Type & set__success(
    const bool & _arg)
  {
    this->success = _arg;
    return *this;
  }
  Type & set__message(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->message = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_Result_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_Result_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Result_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Result_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Result_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Result_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Result_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Result_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Result_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Result_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_Result
    std::shared_ptr<cob_actions::action::Dock_Result_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_Result
    std::shared_ptr<cob_actions::action::Dock_Result_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_Result_ & other) const
  {
    if (this->success != other.success) {
      return false;
    }
    if (this->message != other.message) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_Result_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_Result_

// alias to use template instance with default allocator
using Dock_Result =
  cob_actions::action::Dock_Result_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_Feedback __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_Feedback __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_Feedback_
{
  using Type = Dock_Feedback_<ContainerAllocator>;

  explicit Dock_Feedback_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->message = "";
    }
  }

  explicit Dock_Feedback_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : message(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->message = "";
    }
  }

  // field types and members
  using _message_type =
    std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>;
  _message_type message;

  // setters for named parameter idiom
  Type & set__message(
    const std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> & _arg)
  {
    this->message = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_Feedback_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_Feedback_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Feedback_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_Feedback_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_Feedback
    std::shared_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_Feedback
    std::shared_ptr<cob_actions::action::Dock_Feedback_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_Feedback_ & other) const
  {
    if (this->message != other.message) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_Feedback_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_Feedback_

// alias to use template instance with default allocator
using Dock_Feedback =
  cob_actions::action::Dock_Feedback_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'goal_id'
#include "unique_identifier_msgs/msg/detail/uuid__struct.hpp"
// Member 'goal'
#include "cob_actions/action/detail/dock__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Request __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Request __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_SendGoal_Request_
{
  using Type = Dock_SendGoal_Request_<ContainerAllocator>;

  explicit Dock_SendGoal_Request_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_init),
    goal(_init)
  {
    (void)_init;
  }

  explicit Dock_SendGoal_Request_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_alloc, _init),
    goal(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _goal_id_type =
    unique_identifier_msgs::msg::UUID_<ContainerAllocator>;
  _goal_id_type goal_id;
  using _goal_type =
    cob_actions::action::Dock_Goal_<ContainerAllocator>;
  _goal_type goal;

  // setters for named parameter idiom
  Type & set__goal_id(
    const unique_identifier_msgs::msg::UUID_<ContainerAllocator> & _arg)
  {
    this->goal_id = _arg;
    return *this;
  }
  Type & set__goal(
    const cob_actions::action::Dock_Goal_<ContainerAllocator> & _arg)
  {
    this->goal = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Request
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Request
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_SendGoal_Request_ & other) const
  {
    if (this->goal_id != other.goal_id) {
      return false;
    }
    if (this->goal != other.goal) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_SendGoal_Request_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_SendGoal_Request_

// alias to use template instance with default allocator
using Dock_SendGoal_Request =
  cob_actions::action::Dock_SendGoal_Request_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'stamp'
#include "builtin_interfaces/msg/detail/time__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Response __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Response __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_SendGoal_Response_
{
  using Type = Dock_SendGoal_Response_<ContainerAllocator>;

  explicit Dock_SendGoal_Response_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : stamp(_init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->accepted = false;
    }
  }

  explicit Dock_SendGoal_Response_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : stamp(_alloc, _init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->accepted = false;
    }
  }

  // field types and members
  using _accepted_type =
    bool;
  _accepted_type accepted;
  using _stamp_type =
    builtin_interfaces::msg::Time_<ContainerAllocator>;
  _stamp_type stamp;

  // setters for named parameter idiom
  Type & set__accepted(
    const bool & _arg)
  {
    this->accepted = _arg;
    return *this;
  }
  Type & set__stamp(
    const builtin_interfaces::msg::Time_<ContainerAllocator> & _arg)
  {
    this->stamp = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Response
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Response
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_SendGoal_Response_ & other) const
  {
    if (this->accepted != other.accepted) {
      return false;
    }
    if (this->stamp != other.stamp) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_SendGoal_Response_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_SendGoal_Response_

// alias to use template instance with default allocator
using Dock_SendGoal_Response =
  cob_actions::action::Dock_SendGoal_Response_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Event __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_SendGoal_Event __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_SendGoal_Event_
{
  using Type = Dock_SendGoal_Event_<ContainerAllocator>;

  explicit Dock_SendGoal_Event_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_init)
  {
    (void)_init;
  }

  explicit Dock_SendGoal_Event_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _info_type =
    service_msgs::msg::ServiceEventInfo_<ContainerAllocator>;
  _info_type info;
  using _request_type =
    rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>>;
  _request_type request;
  using _response_type =
    rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>>;
  _response_type response;

  // setters for named parameter idiom
  Type & set__info(
    const service_msgs::msg::ServiceEventInfo_<ContainerAllocator> & _arg)
  {
    this->info = _arg;
    return *this;
  }
  Type & set__request(
    const rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_SendGoal_Request_<ContainerAllocator>>> & _arg)
  {
    this->request = _arg;
    return *this;
  }
  Type & set__response(
    const rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_SendGoal_Response_<ContainerAllocator>>> & _arg)
  {
    this->response = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Event
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_SendGoal_Event
    std::shared_ptr<cob_actions::action::Dock_SendGoal_Event_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_SendGoal_Event_ & other) const
  {
    if (this->info != other.info) {
      return false;
    }
    if (this->request != other.request) {
      return false;
    }
    if (this->response != other.response) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_SendGoal_Event_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_SendGoal_Event_

// alias to use template instance with default allocator
using Dock_SendGoal_Event =
  cob_actions::action::Dock_SendGoal_Event_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions

namespace cob_actions
{

namespace action
{

struct Dock_SendGoal
{
  using Request = cob_actions::action::Dock_SendGoal_Request;
  using Response = cob_actions::action::Dock_SendGoal_Response;
  using Event = cob_actions::action::Dock_SendGoal_Event;
};

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'goal_id'
// already included above
// #include "unique_identifier_msgs/msg/detail/uuid__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_GetResult_Request __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_GetResult_Request __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_GetResult_Request_
{
  using Type = Dock_GetResult_Request_<ContainerAllocator>;

  explicit Dock_GetResult_Request_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_init)
  {
    (void)_init;
  }

  explicit Dock_GetResult_Request_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _goal_id_type =
    unique_identifier_msgs::msg::UUID_<ContainerAllocator>;
  _goal_id_type goal_id;

  // setters for named parameter idiom
  Type & set__goal_id(
    const unique_identifier_msgs::msg::UUID_<ContainerAllocator> & _arg)
  {
    this->goal_id = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Request
    std::shared_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Request
    std::shared_ptr<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_GetResult_Request_ & other) const
  {
    if (this->goal_id != other.goal_id) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_GetResult_Request_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_GetResult_Request_

// alias to use template instance with default allocator
using Dock_GetResult_Request =
  cob_actions::action::Dock_GetResult_Request_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'result'
// already included above
// #include "cob_actions/action/detail/dock__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_GetResult_Response __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_GetResult_Response __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_GetResult_Response_
{
  using Type = Dock_GetResult_Response_<ContainerAllocator>;

  explicit Dock_GetResult_Response_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : result(_init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->status = 0;
    }
  }

  explicit Dock_GetResult_Response_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : result(_alloc, _init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->status = 0;
    }
  }

  // field types and members
  using _status_type =
    int8_t;
  _status_type status;
  using _result_type =
    cob_actions::action::Dock_Result_<ContainerAllocator>;
  _result_type result;

  // setters for named parameter idiom
  Type & set__status(
    const int8_t & _arg)
  {
    this->status = _arg;
    return *this;
  }
  Type & set__result(
    const cob_actions::action::Dock_Result_<ContainerAllocator> & _arg)
  {
    this->result = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Response
    std::shared_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Response
    std::shared_ptr<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_GetResult_Response_ & other) const
  {
    if (this->status != other.status) {
      return false;
    }
    if (this->result != other.result) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_GetResult_Response_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_GetResult_Response_

// alias to use template instance with default allocator
using Dock_GetResult_Response =
  cob_actions::action::Dock_GetResult_Response_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'info'
// already included above
// #include "service_msgs/msg/detail/service_event_info__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_GetResult_Event __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_GetResult_Event __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_GetResult_Event_
{
  using Type = Dock_GetResult_Event_<ContainerAllocator>;

  explicit Dock_GetResult_Event_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_init)
  {
    (void)_init;
  }

  explicit Dock_GetResult_Event_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : info(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _info_type =
    service_msgs::msg::ServiceEventInfo_<ContainerAllocator>;
  _info_type info;
  using _request_type =
    rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>>;
  _request_type request;
  using _response_type =
    rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>>;
  _response_type response;

  // setters for named parameter idiom
  Type & set__info(
    const service_msgs::msg::ServiceEventInfo_<ContainerAllocator> & _arg)
  {
    this->info = _arg;
    return *this;
  }
  Type & set__request(
    const rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_GetResult_Request_<ContainerAllocator>>> & _arg)
  {
    this->request = _arg;
    return *this;
  }
  Type & set__response(
    const rosidl_runtime_cpp::BoundedVector<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>, 1, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<cob_actions::action::Dock_GetResult_Response_<ContainerAllocator>>> & _arg)
  {
    this->response = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Event
    std::shared_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_GetResult_Event
    std::shared_ptr<cob_actions::action::Dock_GetResult_Event_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_GetResult_Event_ & other) const
  {
    if (this->info != other.info) {
      return false;
    }
    if (this->request != other.request) {
      return false;
    }
    if (this->response != other.response) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_GetResult_Event_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_GetResult_Event_

// alias to use template instance with default allocator
using Dock_GetResult_Event =
  cob_actions::action::Dock_GetResult_Event_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions

namespace cob_actions
{

namespace action
{

struct Dock_GetResult
{
  using Request = cob_actions::action::Dock_GetResult_Request;
  using Response = cob_actions::action::Dock_GetResult_Response;
  using Event = cob_actions::action::Dock_GetResult_Event;
};

}  // namespace action

}  // namespace cob_actions


// Include directives for member types
// Member 'goal_id'
// already included above
// #include "unique_identifier_msgs/msg/detail/uuid__struct.hpp"
// Member 'feedback'
// already included above
// #include "cob_actions/action/detail/dock__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__cob_actions__action__Dock_FeedbackMessage __attribute__((deprecated))
#else
# define DEPRECATED__cob_actions__action__Dock_FeedbackMessage __declspec(deprecated)
#endif

namespace cob_actions
{

namespace action
{

// message struct
template<class ContainerAllocator>
struct Dock_FeedbackMessage_
{
  using Type = Dock_FeedbackMessage_<ContainerAllocator>;

  explicit Dock_FeedbackMessage_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_init),
    feedback(_init)
  {
    (void)_init;
  }

  explicit Dock_FeedbackMessage_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : goal_id(_alloc, _init),
    feedback(_alloc, _init)
  {
    (void)_init;
  }

  // field types and members
  using _goal_id_type =
    unique_identifier_msgs::msg::UUID_<ContainerAllocator>;
  _goal_id_type goal_id;
  using _feedback_type =
    cob_actions::action::Dock_Feedback_<ContainerAllocator>;
  _feedback_type feedback;

  // setters for named parameter idiom
  Type & set__goal_id(
    const unique_identifier_msgs::msg::UUID_<ContainerAllocator> & _arg)
  {
    this->goal_id = _arg;
    return *this;
  }
  Type & set__feedback(
    const cob_actions::action::Dock_Feedback_<ContainerAllocator> & _arg)
  {
    this->feedback = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> *;
  using ConstRawPtr =
    const cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__cob_actions__action__Dock_FeedbackMessage
    std::shared_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__cob_actions__action__Dock_FeedbackMessage
    std::shared_ptr<cob_actions::action::Dock_FeedbackMessage_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const Dock_FeedbackMessage_ & other) const
  {
    if (this->goal_id != other.goal_id) {
      return false;
    }
    if (this->feedback != other.feedback) {
      return false;
    }
    return true;
  }
  bool operator!=(const Dock_FeedbackMessage_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct Dock_FeedbackMessage_

// alias to use template instance with default allocator
using Dock_FeedbackMessage =
  cob_actions::action::Dock_FeedbackMessage_<std::allocator<void>>;

// constant definitions

}  // namespace action

}  // namespace cob_actions

#include "action_msgs/srv/cancel_goal.hpp"
#include "action_msgs/msg/goal_info.hpp"
#include "action_msgs/msg/goal_status_array.hpp"

namespace cob_actions
{

namespace action
{

struct Dock
{
  /// The goal message defined in the action definition.
  using Goal = cob_actions::action::Dock_Goal;
  /// The result message defined in the action definition.
  using Result = cob_actions::action::Dock_Result;
  /// The feedback message defined in the action definition.
  using Feedback = cob_actions::action::Dock_Feedback;

  struct Impl
  {
    /// The send_goal service using a wrapped version of the goal message as a request.
    using SendGoalService = cob_actions::action::Dock_SendGoal;
    /// The get_result service using a wrapped version of the result message as a response.
    using GetResultService = cob_actions::action::Dock_GetResult;
    /// The feedback message with generic fields which wraps the feedback message.
    using FeedbackMessage = cob_actions::action::Dock_FeedbackMessage;

    /// The generic service to cancel a goal.
    using CancelGoalService = action_msgs::srv::CancelGoal;
    /// The generic message for the status of a goal.
    using GoalStatusMessage = action_msgs::msg::GoalStatusArray;
  };
};

typedef struct Dock Dock;

}  // namespace action

}  // namespace cob_actions

#endif  // COB_ACTIONS__ACTION__DETAIL__DOCK__STRUCT_HPP_
